Debian Bug report logs - #652499
info2man: Missing depends: libperl4-corelibs-perl

version graph

Package: info2man; Maintainer for info2man is Colin Watson <cjwatson@debian.org>; Source for info2man is src:info2man.

Reported by: Bob Proulx <bob@proulx.com>

Date: Sat, 17 Dec 2011 19:51:01 UTC

Severity: normal

Found in version info2man/1.1-5

Fixed in version info2man/1.1-6

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Colin Watson <cjwatson@debian.org>:
Bug#652499; Package info2man. (Sat, 17 Dec 2011 19:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Proulx <bob@proulx.com>:
New Bug report received and forwarded. Copy sent to Colin Watson <cjwatson@debian.org>. (Sat, 17 Dec 2011 19:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bob Proulx <bob@proulx.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: info2man: Missing depends: libperl4-corelibs-perl
Date: Sat, 17 Dec 2011 12:49:03 -0700
Package: info2man
Version: 1.1-5
Severity: normal

After installing info2man and launching it on a file the following
output is emited.

  Legacy library flush.pl will be removed from the Perl core distribution in the next major release. Please install the separate libperl4-corelibs-perl package. It is being used at /usr/share/perl5/cs/Misc.pm, line 11.

After installing libperl4-corelibs-perl this message is no longer
displayed.  It appears that info2man is missing a dependency upon the
libperl4-corelibs-perl package.

Thanks!
Bob


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages info2man depends on:
ii  perl  5.14.2-6

Versions of packages info2man recommends:
ii  man-db  2.6.0.2-3

info2man suggests no packages.

-- no debconf information




Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 31 Jan 2012 13:21:15 GMT) Full text and rfc822 format available.

Notification sent to Bob Proulx <bob@proulx.com>:
Bug acknowledged by developer. (Tue, 31 Jan 2012 13:21:15 GMT) Full text and rfc822 format available.

Message #10 received at 652499-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 652499-close@bugs.debian.org
Subject: Bug#652499: fixed in info2man 1.1-6
Date: Tue, 31 Jan 2012 13:17:27 +0000
Source: info2man
Source-Version: 1.1-6

We believe that the bug you reported is fixed in the latest version of
info2man, which is due to be installed in the Debian FTP archive:

info2man_1.1-6.debian.tar.gz
  to main/i/info2man/info2man_1.1-6.debian.tar.gz
info2man_1.1-6.dsc
  to main/i/info2man/info2man_1.1-6.dsc
info2man_1.1-6_all.deb
  to main/i/info2man/info2man_1.1-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 652499@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated info2man package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 31 Jan 2012 12:54:21 +0000
Source: info2man
Binary: info2man
Architecture: source all
Version: 1.1-6
Distribution: unstable
Urgency: low
Maintainer: Colin Watson <cjwatson@debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 info2man   - Convert GNU info files to POD or man pages
Closes: 652499
Changes: 
 info2man (1.1-6) unstable; urgency=low
 .
   * Update Vcs-Bzr field for Alioth changes.
   * Use FILE->flush (relying on filehandles being instances of IO::Handle,
     true as of Perl 5.004) instead of the Perl 4 library 'flush.pl' (closes:
     #652499).
   * Fix cs::IO::openR to work with modern Perl.
Checksums-Sha1: 
 b40da9e8e4d5fedfc4225ee3e330f9521a1e63fb 1834 info2man_1.1-6.dsc
 5d573ba83ffc2568aa4773bb8214dd9fc2fb27ee 3556 info2man_1.1-6.debian.tar.gz
 a670ba2d4f0e0d330d2369f1d75db9f3d8247980 72888 info2man_1.1-6_all.deb
Checksums-Sha256: 
 f21f01bfdc64e61591bb4e1c324c1fbd5df514d013be9ea5e02d9a50eb7b64bc 1834 info2man_1.1-6.dsc
 0d50922cfcaf02579d50a6c42f9426c5accfddc8153f68213e58a7f31e05a00f 3556 info2man_1.1-6.debian.tar.gz
 053811e96c58f62a08ebea474d3d843c9772628e048fd4dd800ce11f0f94d3e1 72888 info2man_1.1-6_all.deb
Files: 
 04ebb4de8d3ad4b6e716bc71153b90b6 1834 doc optional info2man_1.1-6.dsc
 ba2e9eac4414f2b11c08af84e67cad25 3556 doc optional info2man_1.1-6.debian.tar.gz
 0aace6e51660d15baf2a5946287fe523 72888 doc optional info2man_1.1-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTyflwjk1h9l9hlALAQiz+w/+IhiEWG0QtkXxVseLz0k4XUTC3nfdL6HS
HtqJds2s3Dn0wshpyIyYyw0Osha4V91ykTGWtJesW0XHK0RTQ6GT93w/ryk605do
3e+jwtqtKz4iuMAIWqsMYs8KUUI5YdnX/msg3jYWXMVnnR6Ru4RCHsNEsm8Xa3B6
uQYKRjmFR+Q1r3xJNtDQKMNqyz2eaJ/xPYzNVzjTKyS9yFzyG3xF7cnDEb+gqeT1
fTNSv9W5Sdln8chVhsZdJS0drXycGL0OFrh+i70KkcTq2CLc5knGzhd/kMEISGXK
fgrOO3OmodF9lmgCDMs3IRN62pLzMe8uxvOxSbTdLnEaH8iWIGnQszmlpxb1hNRQ
K4N/nsodEIns1Lzv1XOQ2E5vqpOIxcU/CxBbJZ1HzFrbuo0QR0JKAuPQ789ot416
Ks0hn710Cbs0nIB0KmhsDpCFicgkZ01a/KNb/J72RUf4z9eFrMsh//vXw/ATndCU
T8l3+LjFtqrhxjnIQnqBOAXUojwBHnRDlkheW7glQMuKHUgTY1Jd2HwxRnTMDLsb
pkHfeRRTMv9dqE/g8RXZKzhEtQsT/Q8q2gNIN3FOh4A+tKrINuUNeaKt7tuEBMX5
ayZKzwOwntRSa5mMclavsjVx5ZrnGgpXfAJq/Kb76mtTkAyLqyqRRXJa3p7hmwO/
BwYp43VeUlc=
=1hMB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Mar 2012 07:43:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:37:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.